Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

DLL's requred?

rudypoprudypop Member Posts: 1
I recently purchased C++ Builder 2007 to upgrade from my C++ Builder 5.0. With my old version I could uncheck the Linker option "Use Dynamic RTL" and the Package option "Build with runtime packages" to produce a single executable that did not require any additional DLL's.

I just finished a new project using the new compiler. I set the options same as before on my older version but after compiling the project I found that the .exe file still requires two DLL's before it runs.
The two files are "borlndmm.dll" and "cc3280mt.dll"

Still being new to the latest version I can't find any documentation that details the option settings that I need to set that would solve this. Anyone have suggestions?



Comments

  • LundinLundin Member Posts: 3,711
    I remember having the same problem when I tested the "Turbo C++" release which should be similar to Builder 2007. You'd think this would be the most FAQ of them all, and that they would have it documented, but no...

    First, you have to remove "use dynamic RTL" just as before. Then there was something else, completely undocumented... I don't remember how I fixed it though. Just guessing, but maybe below package options -> Runtime only packages? I'm checking one of my working release build projects in Borland Turbo and then I have that option set.
  • PiSymbolPiSymbol Member Posts: 13
    Did you uncheck 'Dynamic RTL' under 'Linker->Linking' as well as under 'TLib'?
  • MiguelChavezMiguelChavez Member Posts: 1
    : I recently purchased C++ Builder 2007 to upgrade from my C++ Builder
    : 5.0. With my old version I could uncheck the Linker option "Use
    : Dynamic RTL" and the Package option "Build with runtime packages" to
    : produce a single executable that did not require any additional
    : DLL's.
    :
    : I just finished a new project using the new compiler. I set the
    : options same as before on my older version but after compiling the
    : project I found that the .exe file still requires two DLL's before
    : it runs.
    : The two files are "borlndmm.dll" and "cc3280mt.dll"
    :
    : Still being new to the latest version I can't find any documentation
    : that details the option settings that I need to set that would solve
    : this. Anyone have suggestions?
    :
    :
    :
    :
    hi,
    http://www.fix-all-dll-errors.com/

    u can go to this site...this will help u in downloading both dll's.

    I also registered few dll's from this site...worked in my case :)
Sign In or Register to comment.